<?php
/**
 * The header for our theme
 * 
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
  <head>
   <meta charset="<?php bloginfo( 'charset' ); ?>" />
   <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no"/>
   <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>">
   <?php wp_head(); ?>

  </head> 
  
<body <?php body_class(); ?>>
<div class="wrapper-area">
<!-- Header Area Start Here -->

<header>
	<div class="header-style1-area">
		<?php
		$construction_zone_header_section = get_theme_mod('construction_zone_header_section_hideshow');
		if ($construction_zone_header_section =='show') { 	
		$construction_zone_email_value = get_theme_mod('construction_zone_header_email_value');
		$construction_zone_phone_value = get_theme_mod('construction_zone_header_phone_value');	
		$construction_zone_header_social_link_1 = get_theme_mod('construction_zone_header_social_link_1');
		$construction_zone_header_social_link_2 = get_theme_mod('construction_zone_header_social_link_2');
		$construction_zone_header_social_link_3 = get_theme_mod('construction_zone_header_social_link_3');
		$construction_zone_header_social_link_4 = get_theme_mod('construction_zone_header_social_link_4');
		?>
		<div class="header-top-area">
			<div class="container">
				<div class="row">
					<div class="col-lg-8 col-md-8 col-sm-8 col-xs-6">
						<div class="header-top-left">
							<ul>
								<?php
								if (!empty($construction_zone_phone_value)) { ?>
									<li><i class="fa fa-phone" aria-hidden="true"></i><a href="#">
									<?php echo esc_html($construction_zone_phone_value); ?></a></li>
								<?php }
								if (!empty($construction_zone_email_value)) {  ?> 						
														<li><i class="fa fa-envelope" aria-hidden="true"></i><a href="#"><?php echo esc_html($construction_zone_email_value); ?></a></li>
								<?php } ?> 						
							</ul>
						</div>
					</div>
					<div class="col-lg-4 col-md-4 col-sm-4 col-xs-6">
						<div class="header-top-right">
							<ul>
							<?php if (!empty($construction_zone_header_social_link_1)) { ?>
								<li><a aria-hidden="true" href="<?php echo esc_url(get_theme_mod('construction_zone_header_social_link_1')); ?>"><i class="fa fa-facebook"></i></a></li>
							<?php }
							if (!empty($construction_zone_header_social_link_2)) { ?>	
								<li><a aria-hidden="true" href="<?php echo esc_url(get_theme_mod('construction_zone_header_social_link_2')); ?>"><i class="fa fa-twitter"></i></a></li>
							<?php }
							if (!empty($construction_zone_header_social_link_3)) { ?>	
								<li><a  aria-hidden="true" href="<?php echo esc_url(get_theme_mod('construction_zone_header_social_link_3')); ?>"><i class="fa fa-instagram"></i></a></li>
							<?php }
							if (!empty($construction_zone_header_social_link_4)) { ?>	
								<li><a aria-hidden="true" href="<?php echo esc_url(get_theme_mod('construction_zone_header_social_link_4')); ?>"><i class="fa fa-youtube"></i></a></li>
							<?php }?>
							
							</ul>
						</div>
					</div>
				</div>
			</div>
		</div>
		<?php } ?>					
		<div class="main-header-area" id="sticker">
			<div class="container">
				<div class="row">                         
					<div class="col-lg-3 col-md-3 col-sm-3 col-xs-12">
					   <?php if (has_custom_logo()) : ?> 
						   <div class="logo-area">
						   <?php the_custom_logo(); ?>
						   </div>
					   <?php else : ?>
						   <a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="site-title">
								<div class="logo-area"><?php bloginfo( 'title' ); ?></div>
						   </a>
						   <a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="tagc">
								<span class="site-description"><?php bloginfo( 'description' ); ?></span>
							</a> 
					  <?php endif; ?>
												  
					</div>  
					<div class="col-lg-9 col-md-9 col-sm-9 col-xs-12">
						<div class="main-menu-area">
						 <nav>
							   <?php wp_nav_menu( array
								('container'        => 'ul', 
								'theme_location'    => 'primary', 
								'menu_class'        => 'menu-top', 
								'items_wrap'        => '<ul>%3$s</ul>',
								'fallback_cb'       => 'construction_zone_bootstrap_navwalker::fallback',
								'walker'            => new construction_zone_bootstrap_navwalker()
								)); 
							  ?>          
					  </nav>
						</div>
					</div>  
					
				</div>
			</div> 
		</div>
			<!-- Mobile Menu Area Start -->
		<div class="mobile-menu-area">
			<div class="container">
				<div class="row">
					<div class="col-md-12">
						<div class="mobile-menu">
						<nav id="dropdown">	
						<?php wp_nav_menu( array
						('container'        => 'ul', 
						'theme_location'    => 'primary', 
						'menu_class'        => 'menu-top', 
						'items_wrap'        => '<ul>%3$s</ul>',
						'fallback_cb'       => 'construction_zone_bootstrap_navwalker::fallback',
						'walker'            => new construction_zone_bootstrap_navwalker()
						)); 
						?>  
						</nav>
						</div>          
					</div>
				</div>
			</div>
		</div>	
		<!-- Mobile Menu Area End -->
	</div>
</header>
<!-- Header Area End Here -->